Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.fromJava
Class Namespaces

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              org.apache.axis.wsdl.fromJava.Namespaces

All Implemented Interfaces:
  Cloneable, Map, Serializable

public class Namespaces
extends HashMap

Description: A HashMap of packageNames and namespaces with some helper methods

Author:
  rkumar@borland.com
See Also:
  Serialized Form

Constructor Summary
`Namespaces()`

Method Summary
`String` | `getCreate(String key)` Get the namespaace for the given package If there is no entry in the HashMap for this namespace, create one.
`String` | `getCreate(String key, String prefix)` Get the namespaace for the given package If there is no entry in the HashMap for this namespace, create one.
`String` | `getCreatePrefix(String namespace)` Get the prefix for the given namespace.
`Iterator` | `getNamespaces()` Get the list of namespaces currently registered
`static String` | `makeNamespace(String clsName)` Make namespace from a fully qualified class name use the default protocol for the namespace
`static String` | `makeNamespace(String clsName, String protocol)` Make namespace from a fully qualified class name and the given protocol
`Object` | `put(Object key, Object value, String prefix)` adds an entry to the packagename/namespace HashMap.
`void` | `putAll(Map map)` adds an entry to the packagename/namespace HashMap for each of the entry in the map.
`void` | `putAllPrefix(Map map)` adds an entry to the namespace / prefix HashMap for each of the entry in the map.
`void` | `putPrefix(String namespace, String prefix)` put the gine namespace / prefix into the appropriate HashMap

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### Namespaces

    public Namespaces()

Method Detail

### getCreate

    public String getCreate(String key)

  Get the namespaace for the given package If there is no entry in the HashMap for this namespace, create one.

  Parameters:
    `key` - String representing packagename
  Returns:
    the namespace either created or existing

### getCreate

    public String getCreate(String key,
                            String prefix)

  Get the namespaace for the given package If there is no entry in the HashMap for this namespace, create one.

  Parameters:
    `key` - String representing packagename
    `prefix` - the prefix to use for the generated namespace
  Returns:
    the namespace either created or existing

### put

    public Object put(Object key,
                      Object value,
                      String prefix)

  adds an entry to the packagename/namespace HashMap. In addition, also makes an entry in the auxillary namespace/prefix HashMap if an entry doesn't already exists

  Parameters:
    `key` - packageName String
    `value` - namespace value
    `prefix` - the prefix to use for the given namespace
  Returns:
    old value for the specified key

### putAll

    public void putAll(Map map)

  adds an entry to the packagename/namespace HashMap for each of the entry in the map. In addition, also add an entries in the auxillary namespace/prefix HashMap

  Parameters:
    `map` - packageName/namespace map

### getCreatePrefix

    public String getCreatePrefix(String namespace)

  Get the prefix for the given namespace. If one exists, create one

  Parameters:
    `namespace` - namespace
  Returns:
    prefix String

### putPrefix

    public void putPrefix(String namespace,
                          String prefix)

  put the gine namespace / prefix into the appropriate HashMap

  Parameters:
    `namespace` -
    `prefix` -

### putAllPrefix

    public void putAllPrefix(Map map)

  adds an entry to the namespace / prefix HashMap for each of the entry in the map.

  Parameters:
    `map` - packageName/namespace map

### makeNamespace

    public static String makeNamespace(String clsName)

  Make namespace from a fully qualified class name use the default protocol for the namespace

  Parameters:
    `clsName` - fully qualified class name
  Returns:
    namespace namespace String

### makeNamespace

    public static String makeNamespace(String clsName,
                                       String protocol)

  Make namespace from a fully qualified class name and the given protocol

  Parameters:
    `clsName` - fully qualified class name
    `protocol` - protocol String
  Returns:
    namespace namespace String

### getNamespaces

    public Iterator getNamespaces()

  Get the list of namespaces currently registered

  Returns:
    iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.